package com.pqs9300.pojo.transaction;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author hongawen
 * @date: 2020/7/1 11:27
 */
@Table(name="THS_SUPERVISE")
public class Supervise implements Serializable {

    @Id
    private String supIndex;

    private String name;

    private String depts;

    private String createUser;

    private Date createTime;

    private String modifyUser;

    private Date modifyTime;

    private Integer type;

    private String upUser;

    private String nextUser;

    private Integer progress;

    private String supDescribe;

    @Column(name="eventDate")
    private Date eventDate;

    @Transient
    private String createTimeStr;

    @Transient
    private String modifyTimeStr;

    @Transient
    private String proceed;

    @Transient
    private String deptName;

    @Transient
    private List<OverRunLog> overRunLog;

    public String getSupIndex() {
        return supIndex;
    }

    public void setSupIndex(String supIndex) {
        this.supIndex = supIndex;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDepts() {
        return depts;
    }

    public void setDepts(String depts) {
        this.depts = depts;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyUser() {
        return modifyUser;
    }

    public void setModifyUser(String modifyUser) {
        this.modifyUser = modifyUser;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getUpUser() {
        return upUser;
    }

    public void setUpUser(String upUser) {
        this.upUser = upUser;
    }

    public String getNextUser() {
        return nextUser;
    }

    public void setNextUser(String nextUser) {
        this.nextUser = nextUser;
    }

    public Integer getProgress() {
        return progress;
    }

    public void setProgress(Integer progress) {
        this.progress = progress;
    }

    public String getSupDescribe() {
        return supDescribe;
    }

    public void setSupDescribe(String supDescribe) {
        this.supDescribe = supDescribe;
    }


    public Date getEventDate() {
		return eventDate;
	}

	public void setEventDate(Date eventDate) {
		this.eventDate = eventDate;
	}

	public String getCreateTimeStr() {
        return createTimeStr;
    }

    public void setCreateTimeStr(String createTimeStr) {
        this.createTimeStr = createTimeStr;
    }

    public String getModifyTimeStr() {
        return modifyTimeStr;
    }

    public void setModifyTimeStr(String modifyTimeStr) {
        this.modifyTimeStr = modifyTimeStr;
    }

    public String getProceed() {
        return proceed;
    }

    public void setProceed(String proceed) {
        this.proceed = proceed;
    }

    public String getDeptName() {
		return deptName;
	}

	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

	public List<OverRunLog> getOverRunLog() {
		return overRunLog;
	}

	public void setOverRunLog(List<OverRunLog> overRunLog) {
		this.overRunLog = overRunLog;
	}

	@Override
    public String toString() {
        return "Supervise{" +
                "supIndex='" + supIndex + '\'' +
                ", name='" + name + '\'' +
                ", depts='" + depts + '\'' +
                ", createUser='" + createUser + '\'' +
                ", createTime=" + createTime +
                ", modifyUser='" + modifyUser + '\'' +
                ", modifyTime=" + modifyTime +
                ", type=" + type +
                ", upUser='" + upUser + '\'' +
                ", nextUser='" + nextUser + '\'' +
                ", progress=" + progress +
                ", supDescribe='" + supDescribe + '\'' +
                ", eventDate='" + eventDate + '\'' +
                '}';
    }
}
